Skip to main content

/cosmos/gov/v1beta1/params/{params_type}

GET

Params queries all parameters of the gov module.
Path Parameters
params_typestringrequired
params_type defines which parameters to query for, can be one of "voting","tallying" or "deposit".
Responses
voting_params defines the parameters related to voting.
voting_periodstring
Duration of the voting period.
deposit_params defines the parameters related to deposit.
Minimum deposit for a proposal to enter voting period.
denomstring
amountstring
max_deposit_periodstring
Maximum period for Atom holders to deposit on a proposal. Initial value: 2months.
tally_params defines the parameters related to tally.
quorumstring
Minimum percentage of total stake needed to vote for a result to be considered valid.
thresholdstring
Minimum proportion of Yes votes for proposal to pass. Default value: 0.5.
veto_thresholdstring
Minimum value of Veto votes to Total votes ratio for proposal to be vetoed. Default value: 1/3.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-sei-mainnet.nodit.io/cosmos/gov/v1beta1/params/{params_type}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'